# textrender.h File Reference

`#include <glibmm.h>`
`#include <gstreamermm/element.h>`

Go to the source code of this file.

## Classes

class | Gst::TextRender
| Gst::TextRender - textrender plugin. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum | Gst::TextRenderHAlign { Gst::TEXT_RENDER_HALIGN_LEFT, Gst::TEXT_RENDER_HALIGN_CENTER, Gst::TEXT_RENDER_HALIGN_RIGHT }
enum | Gst::TextRenderVAlign { Gst::TEXT_RENDER_VALIGN_BASELINE, Gst::TEXT_RENDER_VALIGN_BOTTOM, Gst::TEXT_RENDER_VALIGN_TOP }
enum | Gst::TextRenderLineAlign { Gst::TEXT_RENDER_LINE_ALIGN_LEFT, Gst::TEXT_RENDER_LINE_ALIGN_CENTER, Gst::TEXT_RENDER_LINE_ALIGN_RIGHT }